#version 120
varying vec2 uv;

uniform float spread;
uniform float strength;
uniform float height;
uniform sampler2D textureSampler;

void main() {
	float samples = 5.0;
	vec4 texColor = texture2D(textureSampler, uv).rgba / samples;// * 0.2270270270;
	texColor = texColor + texture2D(textureSampler, uv - vec2(0, 4.5/height * spread)) / samples;// * 0.1945945946;
	texColor = texColor + texture2D(textureSampler, uv - vec2(0, 2.5/height * spread)) / samples;// * 0.0540540541;
	texColor = texColor + texture2D(textureSampler, uv + vec2(0, 2.5/height * spread)) / samples;// * 0.0540540541;
	texColor = texColor + texture2D(textureSampler, uv + vec2(0, 4.5/height * spread)) / samples;// * 0.1945945946;
	texColor = texColor * strength;
	gl_FragColor = texColor;
}